=== debian/changelog ===
qtermwidget (0.6.0+20160108-3) unstable; urgency=medium

  * Fixed symbols for -03, thanks vorlon (Closes: #819225) 
  * Bump standards to 3.9.7
  * Use secured VCS-links
  * Added hardening =+ all to rules

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Mar 2016 12:24:03 +0200

qtermwidget (0.6.0+20160108-2) unstable; urgency=medium

  * patching: 798053  'TCGETS' not declared

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Jan 2016 00:47:51 +0100

qtermwidget (0.6.0+20160108-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Cherry-picking upstream version 0.6.0+20160108, Modification
    of treatment of double-width character (e.g. Japanese)
    https://github.com/lxde/qtermwidget/pull/55#issuecomment-170615897
  * Fixed copyright
  * No full stop in short descriptions, see lintian warning:
    'description-synopsis-might-not-be-phrased-properly'

  [ Peter Mattern ]
  * Fixed descriptions in debian/control

 -- Alf Gaida <agaida@siduction.org>  Mon, 11 Jan 2016 20:41:00 +0100

qtermwidget (0.6.0+20151225-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.6.0+201501225.
  * Cleaned up debian/control
  * Cleaned up debian/copyright, remove GPL-3+ because it is not used
    in the project any longer, relicense debian to GPL-2+
  * Fixed symbols
  * Fixed LDFLAGS
  * Removed obsoleted overrides from debian/rules

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 13:34:09 +0100

qtermwidget (0.6.0+20150709-4) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 16 Nov 2015 23:23:00 +0800

qtermwidget (0.6.0+20150709-3) experimental; urgency=medium

  * reduce symbols mess again 

 -- Alf Gaida <agaida@siduction.org>  Thu, 29 Oct 2015 00:09:51 +0100

qtermwidget (0.6.0+20150709-2) experimental; urgency=medium

  * revert most of the optional symbol marks
  * sort symbols and added some empty lines and comments
  * introduce arch specific symbols
  * switch to experimental

 -- Alf Gaida <agaida@siduction.org>  Sat, 03 Oct 2015 22:34:42 +0200

qtermwidget (0.6.0+20150709-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Cherry-picking upstream version 0.6.0+20150709.
  * Symbols fixed for amd64 and i386

  [ ChangZhuo Chen (陳昌倬) ]
  * Make all non QTermWidget symbols optional (Closes: #798050).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 15 Sep 2015 20:34:04 +0800

qtermwidget (0.6.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * README added.
  * new debian $foo.
  * Initial release (Closes: #675355).

  [ Andrew Lee (李健秋) ]
  * Adding upstream version 0.6.0.

  [ ChangZhuo Chen (陳昌倬) ]
  * Update symbol control file.
  * Add watch.
  * Cleanup control.
  * Update copyright.
  * Cleanup rule.
  * Update changelog.

  [ Andrew Lee (李健秋) ]
  * Drop build-deps on quilt in control.
  * Refine package descriptions.
  * Added myself in copyright file.
  * Refine copyright file.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 19 Aug 2015 02:39:14 +0800
