=== debian/control ===
Source: qtermwidget
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               qtbase5-dev,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/qtermwidget.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/cgit/pkg-lxqt/qtermwidget.git -b debian/sid
Homepage: https://github.com/lxde/qtermwidget

Package: libqtermwidget5-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         qtermwidget5-data (= ${source:Version}),
Pre-Depends: ${misc:Pre-Depends}
Description: Terminal emulator widget for Qt 5 (shared libraries)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides the shared libraries.

Package: libqtermwidget5-0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libqtermwidget5-0 (= ${binary:Version}),
Description: Terminal emulator widget for Qt 5 (development files)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides the development files.

Package: qtermwidget5-data
Architecture: all
Depends: ${misc:Depends},
Description: Terminal emulator widget for Qt 5 (data files)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides data files like keyboard layouts and color schemes.
