## qtermwidget 0.6.1~55-gd572f39

=== debian/changelog ===
qtermwidget (0.6.1~55-gd572f39-1) unstable; urgency=medium

  * Bump version to 0.6.1~
  * Added a renamed tarball to pristine-tar
  * Rework symbols (Closes: #831083), tested with i386 and amd64
  * Fixed VCS fields, using plain /git/
  * Fixed copyright Format field, using https
  * Exported LC_ALL=C.UTF-8, make builds reproducible
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo

 -- Alf Gaida <agaida@siduction.org>  Sat, 06 Aug 2016 02:26:26 +0200

qtermwidget (0.6.0-55-gd572f39-1) unstable; urgency=medium

  * Cherry-picked snapshot: 0.6.0-55-gd572f39
  * switch package numbering to git describe instead of dates
  * Remove patch, now integrated into upstream (Closes: #798053)
  * Bump standards to 3.9.8

 -- Alf Gaida <agaida@siduction.org>  Sat, 14 May 2016 18:09:02 +0200

qtermwidget (0.6.0+20160108-6) unstable; urgency=medium

  * Fix two whitespace bugs, which i've had by mistake  introduced
    after the test builds

 -- Alf Gaida <agaida@siduction.org>  Sat, 14 May 2016 03:09:49 +0200

qtermwidget (0.6.0+20160108-5) unstable; urgency=medium

  * Rework some symbols 

 -- Alf Gaida <agaida@siduction.org>  Sat, 14 May 2016 02:01:05 +0200

qtermwidget (0.6.0+20160108-4) unstable; urgency=medium

  * Added kfreebsd-patch, thanks to Bas Couwenberg <sebastic@debian.org>.

 -- Alf Gaida <agaida@siduction.org>  Fri, 13 May 2016 18:21:52 +0200
