=== debian/changelog ===
qtermwidget (0.7.1-2) unstable; urgency=medium

  * Added build-dependency libutf8proc-dev as the missed part for
    full utf-8 support. The use-trigger is already set.
    Thanks Riku Voipio <riku.voipio@linaro.org>, nice catch.
    (Closes: #851832)

 -- Alf Gaida <agaida@siduction.org>  Thu, 19 Jan 2017 14:52:26 -0500

qtermwidget (0.7.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.7.1. 
  * Fixed Symbols
  * Removed build dependency liblxqt0-dev
  * Activate new UTF8 processing in rules

 -- Alf Gaida <agaida@siduction.org>  Wed, 21 Dec 2016 23:50:11 +0100

qtermwidget (0.7.0-4) unstable; urgency=medium

  * Cherry-picking upstream release: 0.7.0
  * Bumped compat to 10
  * Removed --parallel from rules, standard in compat 10
  * Bumped minimum version debhelper (>= 10)
  * Added build dependency liblxqt-dev (>= 0.11.0)
  * Followed Multiarch hinter suggestions
    - qtermwidget5-data marked as Multi-Arch: foreign
    - libqtermwidget5-0 marked as Multi-Arch: same
    - libqtermwidget5-0-dev marked as Multi-Arch: same
  * Simplified optional symbols 

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 21:16:57 +0200
