=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>,
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake (>= 3.0.2),
+               libutf8proc-dev,
                qtbase5-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/qtermwidget.git/?h=debian/sid
@@ -15,6 +16,7 @@
 
 Package: libqtermwidget5-0
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          qtermwidget5-data (= ${source:Version}),
@@ -27,6 +29,7 @@
 
 Package: libqtermwidget5-0-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          libqtermwidget5-0 (= ${binary:Version}),
@@ -38,6 +41,7 @@
 
 Package: qtermwidget5-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
 Description: Terminal emulator widget for Qt 5 (data files)
  QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
