=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh ${@} --buildsystem cmake\
-		--parallel\
+	dh ${@} --buildsystem cmake \
 		--fail-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-DUSE_UTF8PROC=ON \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
