## qtermwidget 0.8.0

=== debian/changelog ===
qtermwidget (0.8.0-5) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields
  * Removed gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Fri, 15 Dec 2017 19:30:23 +0100

qtermwidget (0.8.0-4) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 20:14:31 +0100

qtermwidget (0.8.0-3) experimental; urgency=medium

  * Fixed typo in changelog

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Nov 2017 02:05:43 +0100

qtermwidget (0.8.0-2) experimental; urgency=medium

  * Fixed cmake install directories (Closes: #880389)
    Thanks Andreas Beckmann <anbe@debian.org> for spotting this.
  * Removed superfluous whitespaces from changelog

 -- Alf Gaida <agaida@siduction.org>  Tue, 31 Oct 2017 15:18:42 +0100

qtermwidget (0.8.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.8.0.
  * Switched to experimental
  * Bumped Standards to 4.1.1
  * Bumped build tools to >= 0.4.0
  * Fixed copyright
  * Fixed symbols

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Oct 2017 22:15:52 +0200

qtermwidget (0.7.1-7) unstable; urgency=medium

  * Fixed symbols for powerpcspe

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Sep 2017 14:05:24 +0200

qtermwidget (0.7.1-6) unstable; urgency=medium

  * Fixed symbols for all but powerpcspe - missed build deps and
    i don't want to guess.

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Sep 2017 23:56:54 +0200

qtermwidget (0.7.1-5) unstable; urgency=medium

  * fixed another round of symbols, work in progress
    (currently fixed amd64 and i386) (Closes: #874187)
    Thanks Adrian Bunk for spotting this.
  * bumped Standards to 4.1.0 - no changes needed
  * fix some colons and not needed versions in d/control

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Sep 2017 16:55:18 +0200

qtermwidget (0.7.1-4) unstable; urgency=medium

  * fixed symbols for gcc 7.1.0 (Closes: #871122)

 -- Alf Gaida <agaida@siduction.org>  Sat, 12 Aug 2017 19:34:55 +0200

qtermwidget (0.7.1-3) unstable; urgency=medium

  * Bumped Standards to 4.0.0 - no changes needed
  * Added 5 optional symbols (Closes: #853632)
  * Added build dependency lxqt-build-tools
  * Added Recommends: qtermwidget-l10n, fonts-hack-ttf

 -- Alf Gaida <agaida@siduction.org>  Mon, 03 Jul 2017 00:45:55 +0200
