=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,13 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh ${@} --buildsystem cmake \
-		--fail-missing
+	dh ${@} --buildsystem cmake
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-DPULL_TRANSLATIONS=OFF \
 		-DUSE_UTF8PROC=ON \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
