=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxde/qtermwidget/releases .*/qtermwidget-([\d\.]+).tar.xz
