=== debian/changelog ===
qtermwidget (0.9.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 15:25:07 -0700

qtermwidget (0.9.0-2) unstable; urgency=medium

  * Recommend fonts-hack instead of fonts-hack-ttf (Closes: #907279)
  * Bumped Standards to 4.2.1, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Sun, 16 Sep 2018 14:16:19 +0200

qtermwidget (0.9.0-1) unstable; urgency=medium

  * Cherry-picking upstream release: 0.9.0.
  * Moved debian/.gitignore to ./.gitignore
  * Bumped build dependency lxqt-build-tools to >= 0.5.0~
  * Removed cmake fix, applied upstream
  * Added some options to rules
  * Added some new symbols

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 01:11:06 +0200

qtermwidget (0.8.0-6) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Removed not needed cmake minimim version
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 19:31:10 +0200
