=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: qtermwidget
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               cmake (>= 3.0.2),
+Build-Depends: debhelper (>= 11~),
+               cmake,
                libutf8proc-dev,
-               lxqt-build-tools (>= 0.4.0),
+               lxqt-build-tools (>= 0.5.0~),
                qtbase5-dev
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/qtermwidget.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qtermwidget.git
-Homepage: https://github.com/lxde/qtermwidget
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/lxqt-team/qtermwidget
+Vcs-Git: https://salsa.debian.org/lxqt-team/qtermwidget.git
+Homepage: https://github.com/lxqt/qtermwidget
 
 Package: libqtermwidget5-0
 Architecture: any
@@ -22,7 +23,7 @@
          ${misc:Depends},
          qtermwidget5-data (= ${source:Version})
 Recommends: qtermwidget-l10n,
-            fonts-hack-ttf
+            fonts-hack
 Pre-Depends: ${misc:Pre-Depends}
 Description: Terminal emulator widget for Qt 5 (shared libraries)
  QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
