=== debian/changelog ===
qtermwidget (0.14.1-3ubuntu1) focal; urgency=medium

  * debian/control: Add Breaks/Replaces on qtermwidget-l10n to
    qtermwidget5-data. Fixes upgrade from 0.14.1-0ubuntu3 or earlier.
    (LP: #1864170)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 16:24:33 +0000

qtermwidget (0.14.1-3) unstable; urgency=medium

  * Bumped Standards-Version to 4.5.0, no changes needed
  * Removed the not existing package qtermwidget-l10n from recommends,
    thanks @wxl, nice finding. 

 -- Alf Gaida <agaida@siduction.org>  Sun, 23 Feb 2020 22:16:09 +0100

qtermwidget (0.14.1-2) unstable; urgency=medium

  * Switched to gbp
  * Bumped Standards-Version to 4.4.1, no changes needed
  * Fixed one symbol for ia64
  * Added Rules-Requires-Root: no to make lintian happy

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Oct 2019 00:04:08 +0200

qtermwidget (0.14.1-1) unstable; urgency=medium

  * Cherry-picking upstream release: 0.14.1.

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 01:00:03 +0100

qtermwidget (0.14.0-1) unstable; urgency=medium

  * Cherry-picking upstream release: 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version lxqt-build-tools (>= 0.6.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added Build-Depends-Package field to symbols
  * Installed new translations in the data package.
  * Added two new symbols
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 15:29:16 +0100
