=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: qtermwidget
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                libutf8proc-dev,
-               lxqt-build-tools (>= 0.5.0~),
+               lxqt-build-tools (>= 0.6.0~),
                qtbase5-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qtermwidget
 Vcs-Git: https://salsa.debian.org/lxqt-team/qtermwidget.git
 Homepage: https://github.com/lxqt/qtermwidget
+Rules-Requires-Root: no
 
 Package: libqtermwidget5-0
 Architecture: any
@@ -22,8 +22,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          qtermwidget5-data (= ${source:Version})
-Recommends: qtermwidget-l10n,
-            fonts-hack
+Recommends: fonts-hack
 Pre-Depends: ${misc:Pre-Depends}
 Description: Terminal emulator widget for Qt 5 (shared libraries)
  QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
@@ -47,8 +46,11 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: qtermwidget-l10n (<< 0.14.1-2~)
+Replaces: qtermwidget-l10n (<< 0.14.1-2~)
 Description: Terminal emulator widget for Qt 5 (data files)
  QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
  built-in console or terminal emulation widget.
  .
- This package provides data files like keyboard layouts and color schemes.
+ This package provides data files like translations, keyboard layouts
+ and color schemes.
