## qtermwidget 0.14.1.2

=== debian/changelog ===
qtermwidget (0.14.1.2-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: 64d4b40f5345b98870c0b44ba0a47dbe50dc2dc2']

 -- shuttle <shuttle@deepin.com>  Mon, 20 Jan 2020 21:01:04 +0000
