## qtermwidget 0.15.0

=== debian/changelog ===
qtermwidget (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
    - Update symbols from amd64 build logs.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 00:20:23 -0500
